<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xjrsoft.module.outint.mapper.TeacherOutInRecordMapper">
    <select id="getListByParam" parameterType="com.xjrsoft.module.outint.dto.TeacherOutInRecordDto" resultType="com.xjrsoft.module.outint.entity.TeacherOutInRecord">
        SELECT * FROM teacher_out_in_record
        WHERE delete_mark = 0
        AND  #{dto.endTime} >= record_time
        AND status = #{dto.status}
        AND DATE_FORMAT(record_time, '%Y-%m-%d') = #{dto.queryDate}
        AND user_id = #{dto.userId}
        ORDER BY record_time ASC
    </select>
</mapper>